package com.meas.system.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.meas.common.core.controller.BaseController;
import com.meas.system.service.ISysConfigService;

/**
 *
 * @author Allen
 * @date 2024-07-24
 */
@RestController
@RequestMapping("/meas/config")
public class MeasConfigController extends BaseController {
    @Autowired
    private ISysConfigService configService;


    /**
     * 根据参数键名查询参数值
     */
    @GetMapping(value = "/configKey")
    public String getConfigKey(String configKey) {
        return configService.selectConfigByKey(configKey);
    }
}
