package com.meas.system.domain;

import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.meas.common.annotation.Excel;

/**
 * 角度对象 meas_angle
 *
 * @author Allen
 * @date 2024-07-24
 */
public class MeasAngle extends BaseEntity
        {
private static final long serialVersionUID = 1L;

        /** 序号 */
        private Long id;

        /** 角度 */
                @Excel(name = "角度")
        private Long angle;

        public void setId(Long id) {
            this.id = id;
        }

        public Long getId() {
            return id;
        }
        public void setAngle(Long angle) {
            this.angle = angle;
        }

        public Long getAngle() {
            return angle;
        }

@Override
public String toString() {
    return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
        .append("id", getId())
        .append("angle", getAngle())
        .append("createBy", getCreateBy())
        .append("createTime", getCreateTime())
        .append("updateBy", getUpdateBy())
        .append("updateTime", getUpdateTime())
            .toString();
}
}
